Subject: Re: linux-next: manual merge of the uuid tree with the arm64 tree

From: "Baicar, Tyler" <[email-masked]>
Date: Mon, 19 Jun 2017 13:22:03 -0600

On 6/19/2017 12:41 PM, Baicar, Tyler wrote:
> On 6/19/2017 4:22 AM, Will Deacon wrote:
>> On Mon, Jun 19, 2017 at 01:06:30PM +0300, Andy Shevchenko wrote:
>>> On Mon, 2017-06-19 at 10:19 +0100, Will Deacon wrote:
>>>> Hi Stephen, Christoph, Tyler,
>>>> On Fri, Jun 16, 2017 at 03:21:36PM +1000, Stephen Rothwell wrote:
>>>> Apologies for this: I've just dropped the offending merge from the
>>>> arm64
>>>> tree so you can include the uuid tree in -next again.
>>>>
>>>> Tyler: please rebase your patches on top of Christoph's uuid-types
>>>> branch
>>>> and send me a new series.
>>> To have better coordination, please, look at my WIP branch regarding
>>> UUID stuff:
>>> http://bitbucket.org/andy-shev/linux/branch/topic%2Fuuid
>> That link doesn't work for me. Is there anything specific Tyler 
>> should be
>> paying attention to on that branch?
> That link doesn't work for me either, but I assume it is the 
> topic/uuid branch here:
>
> https://bitbucket.org/andy-shev/linux/branches/
>
> I'll rebase my patches on top of this branch and send them to you Will.
I'm trying to rebase my patches; however, this branch does not compile 
as is. It seems that the UUID changes in the APEI code are wrong:

drivers/acpi/apei/ghes.c: In function 'ghes_do_proc':
drivers/acpi/apei/ghes.c:438:12: error: assignment from incompatible 
pointer type [-Werror=incompatible-pointer-types]
    sec_type = gdata->section_type;
             ^
I am just trying to compile the tip code in the topic/uuid branch from 
above. Tip commit is currently:

commit ab4ea80ef9dc97878d60a4a3487fe9dacd0e6b3a
Author: Andy Shevchenko <[email-masked]>
Date:   Fri Apr 21 16:36:06 2017 +0300

     ASoC: Intel: Skylake: Use recently introduced uuid_le_cmp_p{p}()

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm Technologies, Inc.
Qualcomm Technologies, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project.